#if !defined	SPUUTIL_SPUUTIL_H__
#define			SPUUTIL_SPUUTIL_H__


#ifdef __cplusplus
extern "C"
{
#endif

void 	spuutil_WaitForDMATagGroups( unsigned int tagGroupMask, unsigned int blockBehavior );

void 	spuutil_SendPUEvent( unsigned int eventValue );

void	spuutil_QueueMFCCommand( unsigned int cmd, unsigned int eah, unsigned int eal, unsigned char* ls, unsigned int size, unsigned int tag );

void	spuutil_QueueMFCTransfer( unsigned int cmd, unsigned int eah, unsigned int eal, unsigned char* ls, unsigned int size, unsigned int tag );

void	spuutil_SetDecrementer( unsigned int value );

#ifdef __cplusplus
}
#endif

#endif
